Index: optimizer/path/costsize.c
===================================================================
RCS file: /projects/cvsroot/pgsql/src/backend/optimizer/path/costsize.c,v
retrieving revision 1.135
diff -d -c -r1.135 costsize.c
*** optimizer/path/costsize.c	23 Oct 2004 00:05:27 -0000	1.135
--- optimizer/path/costsize.c	4 Nov 2004 16:26:10 -0000
***************
*** 329,335 ****
  	/* This part is the Mackert and Lohman formula */
  
  	T = (baserel->pages > 1) ? (double) baserel->pages : 1.0;
! 	b = (effective_cache_size > 1) ? effective_cache_size : 1.0;
  
  	if (T <= b)
  	{
--- 329,335 ----
  	/* This part is the Mackert and Lohman formula */
  
  	T = (baserel->pages > 1) ? (double) baserel->pages : 1.0;
! 	b = effective_cache_size;
  
  	if (T <= b)
  	{
Index: utils/misc/guc.c
===================================================================
RCS file: /projects/cvsroot/pgsql/src/backend/utils/misc/guc.c,v
retrieving revision 1.246
diff -d -c -r1.246 guc.c
*** utils/misc/guc.c	22 Oct 2004 19:48:19 -0000	1.246
--- utils/misc/guc.c	4 Nov 2004 16:26:16 -0000
***************
*** 1344,1350 ****
  						 "pages, which are normally 8 kB each.")
  		},
  		&effective_cache_size,
! 		DEFAULT_EFFECTIVE_CACHE_SIZE, 0, DBL_MAX, NULL, NULL
  	},
  	{
  		{"random_page_cost", PGC_USERSET, QUERY_TUNING_COST,
--- 1344,1350 ----
  						 "pages, which are normally 8 kB each.")
  		},
  		&effective_cache_size,
! 		DEFAULT_EFFECTIVE_CACHE_SIZE, 1, DBL_MAX, NULL, NULL
  	},
  	{
  		{"random_page_cost", PGC_USERSET, QUERY_TUNING_COST,
***************
*** 1356,1362 ****
  						 "index scan will be used.")
  		},
  		&random_page_cost,
! 		DEFAULT_RANDOM_PAGE_COST, 0, DBL_MAX, NULL, NULL
  	},
  	{
  		{"cpu_tuple_cost", PGC_USERSET, QUERY_TUNING_COST,
--- 1356,1362 ----
  						 "index scan will be used.")
  		},
  		&random_page_cost,
! 		DEFAULT_RANDOM_PAGE_COST, 1, DBL_MAX, NULL, NULL
  	},
  	{
  		{"cpu_tuple_cost", PGC_USERSET, QUERY_TUNING_COST,
